Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class GrailsParameterMap

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.GrailsParameterMap

All Implemented Interfaces:
  Map

    public class GrailsParameterMap

extends Object
implements Map

A parameter map class that allows mixing of request parameters and controller parameters. If a controller parameter is set with the same name as a request parameter the controller parameter value is retrieved.

Since:
  Oct 24, 2005
Author:
  Graeme Rocher, Kate Rhodes

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry`

Constructor Summary
`GrailsParameterMap(HttpServletRequest request)` Creates a GrailsParameterMap populating from the given request object
`GrailsParameterMap(Map values, HttpServletRequest request)` This constructor does not populate the GrailsParameterMap from the request but instead uses the supplied values

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`Object` | `get(Object key)`
`HttpServletRequest` | `getRequest()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map map)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toQueryString()` Converts this parameter map into a query String.
`String` | `toString()`
`Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### GrailsParameterMap

    public GrailsParameterMap(HttpServletRequest request)

  Creates a GrailsParameterMap populating from the given request object

  Parameters:
    `request` - The request object

### GrailsParameterMap

    public GrailsParameterMap(Map values,
                              HttpServletRequest request)

  This constructor does not populate the GrailsParameterMap from the request but instead uses the supplied values

  Parameters:
    `values` - The values to populate with
    `request` - The request object

Method Detail

### getRequest

    public HttpServletRequest getRequest()

  Returns:
    Returns the request.

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### putAll

    public void putAll(Map map)

  Specified by:
    `putAll` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### toQueryString

    public String toQueryString()

  Converts this parameter map into a query String. Note that this will flatten nested keys separating them with the . character and URL encode the result

  Returns:
    A query String starting with the ? character

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project